org.apache.pdfbox.pdmodel.interactive.digitalsignature

## Class COSFilterInputStream

- java.lang.Object
- - java.io.InputStream
  - - java.io.FilterInputStream
    - - org.apache.pdfbox.pdmodel.interactive.digitalsignature.COSFilterInputStream

All Implemented Interfaces:
  Closeable, AutoCloseable

    public class COSFilterInputStream
    extends FilterInputStream

A filtered stream that includes the bytes that are in the (begin,length) intervals passed in the constructor.

Author:
  boix_jor

### Field Summary

### Fields inherited from class java.io.FilterInputStream

`in`

### Constructor Summary

Constructors
Constructor and Description
`COSFilterInputStream(byte[] in, int[] byteRange)`
`COSFilterInputStream(InputStream in, int[] byteRange)`

### Method Summary

All Methods Instance Methods Concrete Methods
`int` `read()`
`int` `read(byte[] b)`
`int` `read(byte[] b, int off, int len)`
`byte[]` `toByteArray()`

### Methods inherited from class java.io.FilterInputStream

`available, close, mark, markSupported, reset, skip`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### COSFilterInputStream

    public COSFilterInputStream(InputStream in,
                                int[] byteRange)

#### COSFilterInputStream

    public COSFilterInputStream(byte[] in,
                                int[] byteRange)

### Method Detail

#### read

    public int read()
             throws IOException

Overrides:
  `read` in class `FilterInputStream`
Throws:
  `IOException`

#### read

    public int read(byte[] b)
             throws IOException

Overrides:
  `read` in class `FilterInputStream`
Throws:
  `IOException`

#### read

    public int read(byte[] b,
                    int off,
                    int len)
             throws IOException

Overrides:
  `read` in class `FilterInputStream`
Throws:
  `IOException`

#### toByteArray

    public byte[] toByteArray()
                       throws IOException

Throws:
  `IOException`